WPG2Parser.cpp File Reference
`#include "WPG2Parser.h"`
`#include <cstring>`
`#include <limits>`
`#include <math.h>`
`#include <vector>`
`#include <librevenge/librevenge.h>`
`#include <libwpd/libwpd.h>`
`#include "WPGTextDataHandler.h"`
`#include "libwpg_utils.h"`

## Classes

class | WPG2Parser::ObjectCharacterization

## Macros

#define | DUMP_BINARY_DATA 0
#define | M_PI 3.14159265358979323846

## Functions

unsigned long | getRemainingLength (librevenge::RVNGInputStream *const input)

## Variables

static const unsigned char | defaultWPG2PaletteRed []
static const unsigned char | defaultWPG2PaletteGreen []
static const unsigned char | defaultWPG2PaletteBlue []

## Macro Definition Documentation

## DUMP_BINARY_DATA

#define DUMP_BINARY_DATA 0

Referenced by WPG2Parser::WPG2Parser().

## M_PI

#define M_PI 3.14159265358979323846

Referenced by WPG2Parser::handleBrushForeColor(), and WPG2Parser::handleDPBrushForeColor().

## Function Documentation

## getRemainingLength()

unsigned long libwpg::getRemainingLength | ( | librevenge::RVNGInputStream *const | input | ) |

Referenced by WPG2Parser::handleBitmapData(), and WPG2Parser::parse().

## Variable Documentation

## defaultWPG2PaletteBlue

const unsigned char defaultWPG2PaletteBlue[]

static

Referenced by WPG2Parser::resetPalette().

## defaultWPG2PaletteGreen

const unsigned char defaultWPG2PaletteGreen[]

static

Referenced by WPG2Parser::resetPalette().

## defaultWPG2PaletteRed

const unsigned char defaultWPG2PaletteRed[]

static

Referenced by WPG2Parser::resetPalette().